de.esprit.netsuite.server.cfg

## Class DefaultServerConfigMap

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.ReplacementMap
    - - de.esprit.netsuite.server.cfg.AbstractServerConfigMap
      - - de.esprit.netsuite.server.cfg.DefaultServerConfigMap

- All Implemented Interfaces:
    Clearable, Dumpable

      public class DefaultServerConfigMap
      extends AbstractServerConfigMap

  This class defines a default server configuration, which is used if no other configuration is found in the servers workspaceDir.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultServerConfigMap(ServerHost serverHost, java.io.File workspaceDir)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.netsuite.server.cfg.AbstractServerConfigMap

      `addBatchTaskConfig, addCoServerConnections, addGroup, addServerHost, addUser, getAsBoolean, getAsBoolean, getAsDouble, getAsDouble, getAsFile, getAsInt, getAsInt, getAsString, getAsString, getConfigDir, getDataDir, getHistoryDir, getLogDir, getServerConfig, getServerConfigResourceDefs, getServerWebDataResourceDefs, getTaskDir, getWebDir, getWorkspaceDir, install, purge, put, put, put, put, put, put, put, put, setEmailAddresses`

    - ### Methods inherited from class de.esprit.common.util.ReplacementMap

      `clear, filter, getAsBoolean, getAsDouble, getAsInt, getAsString, getMap, getSize, put, put, put, put, putAll, putAll, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultServerConfigMap

          public DefaultServerConfigMap(ServerHost serverHost,
                                java.io.File workspaceDir)

Copyright © 2013 EsprIT-Systems. All Rights Reserved.